import { Component, Prop, State, h } from '@stencil/core';
import { randomIdGenerator } from '../../../global/utils/randomIdGenerator';

@Component({
	tag: 'digi-icon-sign',
	styleUrls: ['icon-sign.scss'],
	scoped: true
})
export class IconSign {
	/**
	 * Lägger till ett titleelement i svg:n
	 * @en Adds a title element inside the svg
	 */
	@Prop() afTitle: string;

	/**
	 * Lägger till ett descelement i svg:n
	 * @en Adds a desc element inside the svg
	 */
	@Prop() afDesc: string;

	/**
	 * För att dölja ikonen för skärmläsare. Default är satt till true.
	 * @en Hides the icon for screen readers. Default is set to true.
	 */
	@Prop() afSvgAriaHidden: boolean = true;

	

	/**
* Referera till andra element på sidan för att definiera ett tillgängligt namn.
* @en Reference other elements on the page to define an accessible name.
*/
@Prop() afSvgAriaLabelledby: string;

@State() titleId: string = randomIdGenerator('icontitle');

	render() {
		return (
			<svg
				class="digi-icon-sign"
				width="42"
				height="48"
				viewBox="0 0 42 48"
				xmlns="http://www.w3.org/2000/svg"
				aria-hidden={this.afSvgAriaHidden ? 'true' : 'false'}
				aria-labelledby={this.afSvgAriaLabelledby ? this.afSvgAriaLabelledby : this.afTitle ? this.titleId : undefined}
			>
				{this.afTitle && <title id={this.titleId}>{this.afTitle}</title>}
				{this.afDesc && <desc>{this.afDesc}</desc>}
				<defs>
					<polygon id="path-1" points="3 17 42 17 42 48 3 48"></polygon>
				</defs>
				<g
					id="Pågående"
					stroke="none"
					stroke-width="1"
					fill="none"
					fill-rule="evenodd"
				>
					<g
						id="Synk-webbplatsen-8mars-Copy"
						transform="translate(-3260.000000, -5769.000000)"
					>
						<g id="Icon" transform="translate(3260.000000, 5769.000000)">
							<path
								d="M24.0851455,0 L24.3815781,0 C24.4124565,0.168720222 24.77466,0.00187814719 24.8262269,0.150251775 C26.7746534,4.78551904 28.7653834,10.3204188 30.8289863,15.1754293 C31.1414756,15.9107239 31.3529926,16.7984615 31.7182839,17.2789541 C32.255568,17.9857635 33.3517509,18.4327626 34.0897444,18.9317237 C34.8913475,19.4738821 35.653735,19.9772256 36.3870968,20.5844932 L36.3870968,26.2189347 L34.386177,26.2189347 C30.0375731,23.5006297 25.4953617,20.0742632 21.1208199,16.9784506 C20.5665528,16.5862308 19.6170422,15.8161905 19.1199001,15.7764364 C17.6287826,15.6574871 16.4899875,17.3731745 16.4520071,18.8565978 C16.3658564,22.2256808 20.031739,24.3038507 21.2690362,26.2189347 L16.5261152,26.2189347 C14.9963997,26.2189347 13.3613889,26.452138 11.8573024,26.2189347 C10.9300243,26.0749435 9.74769069,25.3722034 8.74476053,24.9417947 C6.6410157,24.0390319 4.73303988,23.2304895 2.5937849,22.3123886 C1.40712831,21.8030977 0.341515012,21.3507772 0.22232442,20.2839896 C0.0978845017,19.1705614 0.909368635,18.2436957 1.92681164,18.1804648 C2.74416267,18.1297548 3.73257999,18.7135456 4.52059654,19.0068495 C6.38441627,19.701138 7.48862755,20.072385 9.48584193,20.8098708 C10.0932199,21.0343094 11.5803232,21.871337 11.7831943,21.1103744 C12.0082977,20.2661472 9.61182577,19.4804557 8.96708495,19.1571013 C6.56196702,17.9513308 4.87044872,17.0955218 2.5937849,16.001814 C1.57603311,15.5128697 0.291183234,15.1544566 0,13.8982892 L0,13.2221562 C0.257217003,12.4884267 0.744478024,11.726838 1.70448722,11.6445126 C2.81610932,11.5490401 3.86659221,12.4348995 4.89113724,12.9216527 C7.11808685,13.9799886 8.70214835,14.7528462 10.8938966,15.8515623 C11.5460482,16.1783599 13.5630248,17.4648907 13.9323303,16.9033247 C14.4223704,16.1580133 13.0649563,15.6646866 12.7466001,15.4759328 C9.41945339,13.5038783 7.11839564,12.0883814 4.00183956,10.2171207 C2.75991065,9.47149627 1.16751199,8.91337353 1.1116221,7.51258875 C1.07456803,6.58760126 1.7010906,5.46791251 3.03843374,5.48418979 C4.18062545,5.49796287 5.39599895,6.6595969 6.44740819,7.28721109 C8.66941725,8.61380905 10.6854674,9.79234641 13.0430327,11.1937572 C13.6482491,11.5534224 15.9996387,13.3623912 16.3037908,12.3206456 C16.5227186,11.5703258 14.2083832,10.4471937 13.7841141,10.1419948 C11.7791801,8.69957777 10.0762368,7.42181164 8.15189541,6.010071 C7.2919322,5.37932657 5.83910387,4.67689952 5.70632679,3.53091671 C5.57478484,2.39588976 6.28931082,1.49531819 7.18848959,1.35226598 C8.4035543,1.15912984 8.88062545,1.84465356 9.70816635,2.4040284 C13.0652651,4.67345625 16.5887984,7.07560651 19.9350897,9.31561005 C20.6808028,9.81488418 21.2060443,10.3514082 21.9360095,10.2171207 C23.1359438,9.99675143 22.7629328,8.29295891 22.5288746,6.98670754 C22.3204454,5.82444745 21.8671506,4.38672578 21.9360095,3.15528728 C22.0357467,1.37261257 22.7981342,0.45451162 24.0851455,0"
								id="Fill-1"
								fill="currentColor"
							></path>
							<mask id="mask-2" fill="white">
								<use xlinkHref="#path-1"></use>
							</mask>
							<g id="Clip-4"></g>
							<path
								d="M42,27.4076739 L42,40.8629996 C40.8868282,40.9751299 39.7006462,41.0531875 38.4955126,41.1606715 C37.3804767,41.2604117 36.0961193,41.1866906 35.0655888,41.4580336 C34.3202638,41.6541067 33.5370357,42.5223421 32.7541183,42.9448441 C30.2534429,44.2947442 27.4563773,44.8018086 24.1047452,45.4724221 C20.0080988,46.2920264 15.8685784,47.1178257 11.6526304,48 L10.8324312,48 C9.03482799,47.6351119 8.68313652,45.3240508 10.3104863,44.5059952 C11.4342213,43.9410072 13.4126411,43.7480316 15.2316813,43.3165468 C15.8968504,43.1588829 16.7328944,42.9628098 17.6922789,42.7215128 C18.6286729,42.4867206 19.8350492,42.3560052 19.7800586,41.6810552 C19.7160582,40.8955236 17.8466876,41.3316547 16.8720797,41.4580336 C14.2548987,41.7969025 12.774812,42.0924061 10.3850498,42.4244604 C8.09253097,42.7431954 5.50113652,43.3016787 5.46385474,40.9376499 C5.43154386,38.876249 7.66099436,38.98745 9.71397776,38.7074341 C11.9667294,38.4001599 13.8317505,38.0931954 16.3501348,37.7410072 C17.3586069,37.5997602 19.2957061,37.6044065 19.2581137,36.8489209 C19.2186571,36.0556455 16.9951096,36.4109313 15.8281898,36.4772182 C13.0345417,36.6355016 10.7575569,36.7968825 8.0735794,36.9232614 C5.52723377,37.0431355 2.89451867,37.6564448 3.0032572,35.1390887 C3.09304416,33.0665368 5.70525427,33.2328737 7.84988872,33.1318945 C10.7957708,32.9931255 12.655821,32.818735 15.455372,32.6858513 C16.6673406,32.6285472 18.775936,32.7989109 18.8107323,32.0167866 C18.8480141,31.1785971 16.9006624,31.4220624 15.9027534,31.4220624 C13.1995136,31.4220624 11.435464,31.3133393 8.96834214,31.1990408 C6.6792408,31.0931055 4.42431442,31.41246 4.49452844,29.1918465 C4.56878132,26.8423761 7.56872195,27.3333333 10.1613591,27.3333333 L18.8852959,27.3333333 C20.2535372,27.3333333 22.2726563,27.5981715 22.5389104,26.5899281 C22.8769319,25.310032 21.4185929,24.357544 20.6748213,23.616307 C19.9447198,22.8883893 18.8654122,21.9758593 18.3633509,21.088729 C17.5316565,19.6183353 17.5170545,17.4001998 19.1835501,17 C22.9937481,19.606255 26.648916,22.2840627 30.5917751,24.8800959 C31.5384216,25.5036271 33.5367251,27.140048 34.6182074,27.3333333 C37.0440086,27.7669864 39.4480621,26.9514089 42,27.4076739"
								id="Fill-3"
								fill="currentColor"
							></path>
						</g>
					</g>
				</g>
			</svg>
		);
	}
}
